/****************************************************************************************

		DataCompUtils.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Ray Dream
		Date:	05/06/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		05/07/99	Charles		Created
*****************************************************************************************/

#ifndef __DataCompUtils__
#define __DataCompUtils__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCBasicTypes.h"

struct I3DShLightsource;
struct I3DShTreeElement;
struct I3DShInstance;
struct IShParameterComponent;


struct DataComponentUtils
{
	static void GetLightDataComponent(I3DShLightsource *light,IDType compID,IShParameterComponent **component);

	static void GetInstanceDataComponent(I3DShInstance *instance,IDType compID,IShParameterComponent **component);

	// return whether the light has a light cone
	static boolean HasLightCone(I3DShTreeElement *light);

	// return whether the light has a light sphere
	static boolean HasLightSphere(I3DShTreeElement *light);
};


#endif
